<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do ładowanie posdtawowych ustawienia Black Mina
	
	Black Min cms,
	
	#plik: 1.0
*/


	class get_ustawienia_bm {
		
		// ustawienie zmiennej odpowiedzialnej za pobranie wyniku z klasy
		private $ustawienia = [
			"bm_nazwa" => [],
			"bm_wartosc" => [],
		];
	
		public function get_ustawienia() {
			global $host, $db_user, $db_password, $db_name, $prefix_table, $polaczenie, $rezultat, $date, $date2, $date3, $date4, $time, $time2;
			
			mysqli_report(MYSQLI_REPORT_STRICT);
			
			try 
			{
				$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
				if ($polaczenie->connect_errno!=0)
				{
					throw new Exception(mysqli_connect_errno());
				}
				else
				{		
					mysqli_query($polaczenie, "SET CHARSET utf8");
					mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");		

					if ($rezultat = $polaczenie->query(
					sprintf("SELECT * FROM `".$prefix_table."bm_ustawienia_bm` WHERE `bm_nazwa` LIKE 'url_serwera' OR `bm_nazwa` LIKE 'url_witryny' OR `bm_nazwa` LIKE 'bm_nazwa_strony' OR `bm_nazwa` LIKE 'bm_opis_strony' OR `bm_nazwa` LIKE 'bm_icon_ico' OR `bm_nazwa` LIKE 'bm_icon_png' OR `bm_nazwa` LIKE 'bm_rejestracja' OR `bm_nazwa` LIKE 'bm_logowanie' OR `bm_nazwa` LIKE 'bm_komentarze' OR `bm_nazwa` LIKE 'bm_slowa_kluczowe' OR `bm_nazwa` LIKE 'bm_logo' OR `bm_nazwa` LIKE 'bm_banner' OR `bm_nazwa` LIKE 'bm_menu_structur' OR `bm_nazwa` LIKE 'bm_email_witryny' OR `bm_nazwa` LIKE 'bm_jezyk_witryny' OR `bm_nazwa` LIKE 'bm_strefa_czasowa' OR `bm_nazwa` LIKE 'bm_date' OR `bm_nazwa` LIKE 'bm_time' OR `bm_nazwa` LIKE 'bm_domysne_laduj_posty' OR `bm_nazwa` LIKE 'bm_domysnie_laduj_komentarze' OR `bm_nazwa` LIKE 'bm_spolecznosc_opis' OR `bm_nazwa` LIKE 'bm_spolecznosc_link' OR `bm_nazwa` LIKE 'bm_spolecznosc_link_info_cookies' OR `bm_nazwa` LIKE 'bm_spolecznosc_text_akcept' OR `bm_nazwa` LIKE 'bm_robots' OR `bm_nazwa` LIKE 'bm_motyw_aktywny' OR `bm_nazwa` LIKE 'bm_tryb_konserwacji' OR `bm_nazwa` LIKE 'bm_tryb_konserwacji_tytul' OR `bm_nazwa` LIKE 'bm_tryb_konserwacji_opis' OR `bm_nazwa` LIKE 'bm_tryb_konserwacji_datetime' OR `bm_nazwa` LIKE 'bm_top_box' OR `bm_nazwa` LIKE 'bm_left_box' OR `bm_nazwa` LIKE 'bm_right_box' OR `bm_nazwa` LIKE 'bm_bottom_box' OR `bm_nazwa` LIKE 'bm_footer_box'"))) {
						
						$ile = mysqli_num_rows($rezultat);
						
						$get_ustawienia = [
							"bm_nazwa" => [],
							"bm_wartosc" => []
							//"bm_nazwa" => "res",
							//"bm_wartosc" => "er"
						];
						
						//var_dump($get_ustawienia["bm_nazwa"]["bm_wartosc"]);
						
						for($i = 0; $i < $ile; $i++){
						
							$row = mysqli_fetch_assoc($rezultat);
							$id = $row['id'];
							$bm_nazwa = $row['bm_nazwa'];
							$bm_wartosc = $row['bm_wartosc'];
							
							array_push($get_ustawienia["bm_nazwa"], $row['bm_nazwa']);
							array_push($get_ustawienia["bm_wartosc"], $row['bm_wartosc']);
							
							array_push($this->ustawienia["bm_nazwa"], $row['bm_nazwa']);
							array_push($this->ustawienia["bm_wartosc"], $row['bm_wartosc']);
						}
						//echo $get_ustawienia["bm_nazwa"][1];
						//echo $get_ustawienia["bm_wartosc"][0];
						//var_dump($get_ustawienia);
						//var_dump($this->ustawienia);
						
					};	
					
					$polaczenie->close();
				}
				
			}
			catch(Exception $e)
			{
				echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań póżniej!</span>';
				//echo '<br />Informacja developerska: '.$e;
			}
			
			//return array('bm_nazwa' => $bm_nazwa, 'bm_wartosc' => $bm_wartosc);
			return $get_ustawienia;
		}
		
		// przypisywanie ustawienią odpowiedniej funkcji dla koderców black min'a
		// null public in latest beta 0.5
		//public function url_serwera(){
		//	return $this->ustawienia["bm_wartosc"][0];
		//}

	}

?>